body {
    background: #0f172a;
    color: #e2e8f0;
    font-family: monospace;
    display: flex;
    justify-content: center;
    margin-top: 80px;
}

.container {
    width: 800px;
}

h1, h2 {
    text-align: center;
}

.input-box {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
}

input {
    flex: 1;
    padding: 10px;
    border-radius: 6px;
    border: none;
}

button {
    padding: 10px 20px;
    background: #22c55e;
    border: none;
    border-radius: 6px;
    cursor: pointer;
}

button:hover {
    background: #16a34a;
}

pre {
    background: #020617;
    padding: 20px;
    border-radius: 10px;
    height: 200px;
    overflow: auto;
}

table {
    width: 100%;
    border-collapse: collapse;
    background: #020617;
    border-radius: 10px;
    overflow: hidden;
}

th, td {
    padding: 12px;
    border-bottom: 1px solid #1e293b;
    text-align: center;
}

th {
    background: #1e293b;
}
